/* Affichage d'un tableau de reels double      */

public class AffichageTableauReelEnConsole {

/* Fonction de creation d'un tableau de double */
/* initialise avec une serie croissante        */
/* de nombres aleatoires                       */

  static double [] initRandCroissant(int n) {
    int i;
    double [] tab = new double[n];
    tab[0] = Math.random();
    for ( i = 1 ; i < tab.length ; i = i+1 ) {
      tab[i] = tab[i-1]+Math.random(); }
    return tab;
  }

/////////////////////////////////////////////////

/* Fonction d'affichage des valeurs contenues  */
/* dans un tableau de double                   */

  static void affichageTableau(double [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i = i+1 ) {
      Console.afficherln(t[i]); }
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("AffichageTableauReel");
/* Test de la fonction de creation d'une serie */
/* croissante de nombres aleatoires            */
    affichageTableau(initRandCroissant(10));
  }
}